Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 727604 (CVE-2020-13962) - <dev-qt/qtnetwork-5.14.2-r1: Incorrectly calls SSL_shutdown() (OpenSSL) causing denial of service (CVE-2020-13962)
Summary: <dev-qt/qtnetwork-5.14.2-r1: Incorrectly calls SSL_shutdown() (OpenSSL) causi...
Status: RESOLVED FIXED
Alias: CVE-2020-13962
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugreports.qt.io/browse/QTBUG...
Whiteboard: A3 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-09 00:50 UTC by Sam James
Modified: 2020-07-27 00:01 UTC (History)
1 user (show)

See Also:
Package list:
dev-qt/qtnetwork-5.14.2-r1 dev-qt/qtmultimedia-5.14.2-r1 dev-qt/qtdeclarative-5.14.2-r3 dev-qt/qtquickcontrols2-5.14.2-r1 amd64 arm64 x86
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-06-09 00:50:29 UTC
Description:
"Qt 5.12.2 through 5.14.2, as used in unofficial builds of Mumble 1.3.0 and other products, mishandles OpenSSL's error queue, which can cause a denial of service to QSslSocket users. Because errors leak in unrelated TLS sessions, an unrelated session may be disconnected when any handshake fails. (Mumble 1.3.1 is not affected, regardless of the Qt version.)"
Comment 1 Sam James archtester gentoo-dev Security 2020-06-09 00:51:06 UTC
Patch for 5.14.x: https://codereview.qt-project.org/c/qt/qtbase/+/297147
Comment 2 Larry the Git Cow gentoo-dev 2020-06-10 17:53:15 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ededff26ca832ef16f40e986c3cf85062de3428

commit 8ededff26ca832ef16f40e986c3cf85062de3428
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-06-09 19:05:03 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-06-10 17:52:29 +0000

    dev-qt/qtnetwork: Fix CVE-2020-13962
    
    Tested-by: Sam James (sam_c) <sam@cmpct.info
    Closes: https://bugs.gentoo.org/727604
    Package-Manager: Portage-2.3.100, Repoman-2.3.22
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 .../files/qtnetwork-5.14.2-CVE-2020-13962.patch    | 172 +++++++++++++++++++++
 dev-qt/qtnetwork/qtnetwork-5.14.2-r1.ebuild        |  66 ++++++++
 2 files changed, 238 insertions(+)
Comment 3 Sam James archtester gentoo-dev Security 2020-06-10 17:55:24 UTC
@maintainer(s), let us know when ready for stabling!
Comment 4 Sam James archtester gentoo-dev Security 2020-06-17 14:27:12 UTC
arm64 stable
Comment 5 Thomas Deutschmann gentoo-dev Security 2020-06-20 13:50:57 UTC
x86 stable
Comment 6 Agostino Sarubbo gentoo-dev 2020-06-21 16:55:03 UTC
amd64 stable
Comment 7 Agostino Sarubbo gentoo-dev 2020-06-21 17:00:32 UTC
arm stable
Comment 8 Agostino Sarubbo gentoo-dev 2020-06-21 17:06:10 UTC
ppc stable
Comment 9 Agostino Sarubbo gentoo-dev 2020-06-21 17:09:16 UTC
ppc64 stable.

Maintainer(s), please cleanup.
Security, please add it to the existing request, or file a new one.
Comment 10 Larry the Git Cow gentoo-dev 2020-06-21 22:25:33 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50f156c75fa341b22c322a9eedefcf60cfb1daa3

commit 50f156c75fa341b22c322a9eedefcf60cfb1daa3
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-06-21 22:23:11 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-06-21 22:23:11 +0000

    dev-qt/qtnetwork: Drop vulnerable 5.14.2 (r0)
    
    Bug: https://bugs.gentoo.org/727604
    Package-Manager: Portage-2.3.101, Repoman-2.3.22
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 dev-qt/qtnetwork/qtnetwork-5.14.2.ebuild | 62 --------------------------------
 1 file changed, 62 deletions(-)
Comment 11 GLSAMaker/CVETool Bot gentoo-dev 2020-07-27 00:01:05 UTC
This issue was resolved and addressed in
 GLSA 202007-18 at https://security.gentoo.org/glsa/202007-18
by GLSA coordinator Sam James (sam_c).